REPO(1)

NAME
repo - repo status - manual page for repo status

SYNOPSIS
repo status [<project>...]

DESCRIPTION
Summary

Show the working tree status

OPTIONS

-h, --help
    show this help message and exit

-j JOBS, --jobs=JOBS
    number of jobs to run in parallel (default: based on number of CPU cores)

-o, --orphans
    include objects in working directory outside of repo projects

  Logging options:

-v, --verbose
    show all output

-q, --quiet
    only show errors

Run `repo help status` to view the detailed manual.

DETAILS

'repo status' compares the working tree to the staging area (aka index), and the most recent commit on this branch (HEAD), in each project specified. A summary is displayed, one line per file where there is a difference between these three states.

The -j/--jobs option can be used to run multiple status queries in parallel.

The -o/--orphans option can be used to show objects that are in the working directory, but not associated with a repo project. This includes unmanaged top-level files and directories, but also includes deeper items. For example, if dir/subdir/proj1 and dir/subdir/proj2 are repo projects, dir/subdir/proj3 will be shown if it is not known to repo.

Status Display

The status display is organized into three columns of information, for example if the file 'subcmds/status.py' is modified in the project 'repo' on branch 'devwork':

project repo/
    branch devwork

-m  subcmds/status.py

The first column explains how the staging area (index) differs from the last commit (HEAD). Its values are always displayed in upper case and have the following meanings:

-:  no difference

A:  added (not in HEAD, in index )

M:  modified ( in HEAD, in index, different content )

D:  deleted ( in HEAD, not in index )

R:  renamed (not in HEAD, in index, path changed )

C:  copied (not in HEAD, in index, copied from another)

T:  mode changed ( in HEAD, in index, same content )

U:  unmerged; conflict resolution required

The second column explains how the working directory differs from the index. Its values are always displayed in lower case and have the following meanings:

-:  new / unknown (not in index, in work tree )

m:  modified ( in index, in work tree, modified )

d:  deleted ( in index, not in work tree )